Upgrade from 8.6 to .8.7 fails



  • Hi I have a problem when I want to update the core installation of my Kopano on Ubuntu 18.04 amd64 I get this error:

    Holen:1 file:/home/kopano amd64/ kopano-server 8.7.80.569.f0345abbe-0+88.1 [244 kB]
    (Lese Datenbank ... 152685 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../kopano-server_8.7.80.569.f0345abbe-0+88.1_amd64.deb ...
    Entpacken von kopano-server (8.7.80.569.f0345abbe-0+88.1) über (8.6.80.1248-0+176.1) ...
    dpkg: Fehler beim Bearbeiten des Archivs /home/kopano/amd64/core-8.7.80.569-Ubuntu_18.04-amd64/kopano-server_8.7.80.569.f0345abbe-0+88.1_amd64.deb (--unpack):
     Versuch, »/usr/lib/kopano/userscripts/createcompany« zu überschreiben, welches auch in Paket kopano-common 8.6.80.1248-0+176.1 ist
    dpkg-deb: Fehler: einfügen subprocess was killed by signal (Broken pipe)
    Fehler traten auf beim Bearbeiten von:
     /home/kopano/amd64/core-8.7.80.569-Ubuntu_18.04-amd64/kopano-server_8.7.80.569.f0345abbe-0+88.1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    

    Any solutions for this problem?

    Thank you


  • Kopano

    Hi @hispeed ,

    the quick fix would be https://askubuntu.com/a/56764/37075. This seems to be something that only occurs when upgrading from certain nightly builds.



  • Hi Felix,

    Ok this worked but now I can’t start Kopano-Core.

    ● kopano-server.service - Kopano Groupware Core Storage Server
       Loaded: loaded (/lib/systemd/system/kopano-server.service; enabled; vendor preset: enabled)
       Active: failed (Result: exit-code) since Tue 2019-02-05 21:01:50 CET; 6min ago
         Docs: man:kopano-server(8)
               man:kopano-server.cfg(5)
               man:kopano-admin(8)
      Process: 24390 ExecStart=/usr/sbin/kopano-server -F (code=exited, status=1/FAILURE)
     Main PID: 24390 (code=exited, status=1/FAILURE)
    
    Feb 05 21:01:50 svgwma-kopa-01 systemd[1]: Started Kopano Groupware Core Storage Server.
    Feb 05 21:01:50 svgwma-kopa-01 kopano-server[24390]: /usr/sbin/kopano-server: /usr/lib/libkcsoap.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopano-server
    Feb 05 21:01:50 svgwma-kopa-01 kopano-server[24390]: /usr/sbin/kopano-server: /usr/lib/libkcserver.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopano-server
    Feb 05 21:01:50 svgwma-kopa-01 kopano-server[24390]: /usr/sbin/kopano-server: /usr/lib/libkcutil.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopano-server
    Feb 05 21:01:50 svgwma-kopa-01 systemd[1]: kopano-server.service: Main process exited, code=exited, status=1/FAILURE
    Feb 05 21:01:50 svgwma-kopa-01 systemd[1]: kopano-server.service: Failed with result 'exit-code'.
    

    The files are there and I don’t know what’s the problem.

    I also recieve the mapi error and I have no idea why. I think everything is there where it needs to be.
    I updated also: Z-Push, Webapp, MDM.

    Not Found: PHP mapi extension not found
    If you have upgraded Kopano Core, please restart Apache
    Kopano WebApp can't start because of incompatible configuration.
    
    Please correct above errors, a good start is by checking your '/etc/php/7.2/apache2/php.ini' file.
    
    You can disable this configuration check by editing the file '/usr/share/kopano-webapp/config.php', but this is not recommended.
    

    Now I go back to my snapshot before the update…


  • Kopano

    Hi @hispeed ,

    the version ' KC_8.7.80' not found message is usually solved by just restarting the service. Can’t say anything about the php thing. You said you only upgraded Kopano and not the os?



  • So I did Kopano Core download and then startet the installation. The first problem I have is then:

     Versuch, »/usr/lib/kopano/userscripts/createcompany« zu überschreiben, welches auch in Paket kopano-common 8.6.80.1248-0+176.1 ist
    dpkg-deb: Fehler: einfügen subprocess was killed by signal (Broken pipe)
    

    Then I used this short fix which semms to work and the installation is finished.

    Then I updated Webapp and MDM -> Fine no problem
    When I Update Z-Push I revcieve the Mapi error after(during) installation.

    Then I wanted to start Kopano Core (restart and so on didn’t help also reboot didn’t help).
    So I updated Ubuntu 18.04 (140 Updates…) but it didn’t help concerning both problem I have (Core-start and MAPI).

    Maybe I do something. This is how I do the update of Kopano before that I stop kopano-core and fetchmail and apache2.
    Yes of course I change to the new packages. I used the packages from 04.02.2019 and 05.02.2019 but I had always the same problems.

    // Beginn der Core Installation auf Ubuntu von Kopano
    mkdir -p /home/kopano/amd64update
    cd /home/kopano/amd64update
    wget https://download.kopano.io/community/core:/core-8.6.80.1248_0%2B176-Ubuntu_18.04-amd64.tar.gz
    tar xfvz core-8.6.80.1248_0+176-Ubuntu_18.04-amd64.tar.gz
    cd core-8.6.80.1248_0+176-Ubuntu_18.04-amd64
    cd /home/kopano
    apt-ftparchive packages amd64update/ > amd64update/Packages
    echo "deb [trusted=yes] file:/home/kopano amd64update/" > /etc/apt/sources.list.d/kopano-com.list
    apt update
    apt install kopano-server-packages
    


  • Follow-up Post since i’m the only (as always) who has troubles with updating.

    Status: 09.02.2019 17:20 - Swiss Time :)

    I took the vm from my esxi and installed it with different ip on my local laptop in vmware workstation pro.
    So far everything works fine. This time I installed ubuntu 18.04 updates. I can access the webapp interface, so the Ubuntu updates are not a problem.

    Status: 09.02.2019 17:36
    It’s still an issue when I want to update kopano-core after Ubuntu updates:

    Vorbereitung zum Entpacken von .../21-kopano-server_8.7.80.587.10057ac52-0+97.1_amd64.deb ...
    Entpacken von kopano-server (8.7.80.587.10057ac52-0+97.1) über (8.6.80.1248-0+176.1) ...
    dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-v0Miy6/21-kopano-server_8.7.80.587.10057ac52-0+97.1_amd64.deb (--unpack):
     Versuch, »/usr/lib/kopano/userscripts/createcompany« zu überschreiben, welches auch in Paket kopano-common 8.6.80.1248-0+176.1 ist
    dpkg-deb: Fehler: einfügen subprocess was killed by signal (Broken pipe)
    Fehler traten auf beim Bearbeiten von:
     /tmp/apt-dpkg-install-v0Miy6/21-kopano-server_8.7.80.587.10057ac52-0+97.1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1
    

    I used the nightly build from today Ubuntu 18.04 amd64.

    Status: 09.02.2019 17:42
    I can still start Kopano core: 8.6.80
    I use:
    sudo apt-get -o Dpkg::="–force-overwrite" install kopano-server-packages

    I recieve:

    root@svgwma-kopa-01:/home/kopano# sudo apt-get -o Dpkg::="--force-overwrite" install kopano-server-packages
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    kopano-server-packages ist schon die neueste Version (8.7.80.587.10057ac52-0+97.1).
    Probieren Sie »apt --fix-broken install«, um dies zu korrigieren.
    Die folgenden Pakete haben unerfüllte Abhängigkeiten:
     kopano-server-packages : Hängt ab von: kopano-server (= 8.7.80.587.10057ac52-0+97.1) aber 8.6.80.1248-0+176.1 soll installiert werden
    E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt --fix-broken install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).
    

    So I do:

    sudo apt-get -o Dpkg::Options::="--force-overwrite" install --fix-broken
    

    And Kopano-core is installed, but I can’t start kopano-core:

    ● kopano-server.service - Kopano Groupware Core Storage Server
       Loaded: loaded (/lib/systemd/system/kopano-server.service; enabled; vendor preset: enabled)
       Active: failed (Result: exit-code) since Sat 2019-02-09 18:16:23 CET; 2s ago
         Docs: man:kopano-server(8)
               man:kopano-server.cfg(5)
               man:kopano-admin(8)
      Process: 5868 ExecStart=/usr/sbin/kopano-server -F (code=exited, status=1/FAILURE)
     Main PID: 5868 (code=exited, status=1/FAILURE)
    
    Feb 09 18:16:23 svgwma-kopa-01 systemd[1]: Started Kopano Groupware Core Storage Server.
    Feb 09 18:16:23 svgwma-kopa-01 kopano-server[5868]: /usr/sbin/kopano-server: /usr/lib/libkcsoap.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopan
    Feb 09 18:16:23 svgwma-kopa-01 kopano-server[5868]: /usr/sbin/kopano-server: /usr/lib/libkcserver.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kop
    Feb 09 18:16:23 svgwma-kopa-01 kopano-server[5868]: /usr/sbin/kopano-server: /usr/lib/libkcutil.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopan
    Feb 09 18:16:23 svgwma-kopa-01 systemd[1]: kopano-server.service: Main process exited, code=exited, status=1/FAILURE
    Feb 09 18:16:23 svgwma-kopa-01 systemd[1]: kopano-server.service: Failed with result 'exit-code'.
    

    09.02.2019 18:21
    Game-over and out, reboot doesn’t help anything. Same error and no idea or plan what i can do. Also webapp is already showing mapi error.
    So there is just one solution, re-install but how ? Do I lose my configuration?



  • Its not you, is bad packaging (again) from kopano.

    the new kopano-server contains »/usr/lib/kopano/userscripts/createcompany«
    which is also in : kopano-common

    quick fix:

    dpkg -i --force-all /tmp/apt-dpkg-install-v0Miy6/21-kopano-server_8.7.80.587.10057ac52-0+97.1_amd64.deb

    should work.


  • Kopano

    @thctlo I already gave him the exact same recommendation in my first reply.

    @hispeed instead of editing your same post over and over again I would recommend to create separate replies. I just saw your first post and then I did not see all your updates since I already visited the topic (just editing a topic does not mark it as unread to others).



  • Hi @fbartels @thctlo ,

    I have used this command and yes Kopano core will be installed. But then I can’t start the core:

    /usr/sbin/kopano-server: /usr/lib/libkcsoap.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopano-server
    /usr/lib/libkcserver.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopano-server
    /usr/lib/libkcutil.so.0: version `KC_8.7.80' not found (required by /usr/sbin/kopano-server
    

    So what can I do now? Reboot, stop, start doesn’t help anything.

    @fbartels How much (money) do you want for updating :D?



  • @hispeed

    Your still missing files. I suggest copy this and run it.
    I’ve made it error free now, only someone needs to test it on Ubuntu 18.
    ** i removed the script code and did put it on github.

    Latest version can be found here.
    https://raw.githubusercontent.com/thctlo/Kopano/master/get-kopano-community.sh

    After you run the script just run :
    apt install kopano-server-packages

    That should fix the missing/not upgraded files, if still missing things run :
    apt dist-upgrade



  • Hi @thctlo

    Thank you for your script, this finally worked.

    wget -O - https://raw.githubusercontent.com/thctlo/Kopano/master/get-kopano-community.sh | bash
    apt install kopano-server-packages
    apt dist-upgrade
    kopano-dbadm usmp
    

    How can I update Z-push the in the shell it’s telling me it’s up to date but when I look in the webapp I still see Z-Push:
    2.4.3+0-0 ?
    I want to use: Z-Push 2.4.5+0.0



  • hai,

    you should see 2.4.5 at this time of writing.

    run : apt-cache policy z-push-kopano

    should give you :
    z-push-kopano:
    Installed: 2.4.5+0-0
    Candidate: 2.4.5+0-0
    Version table:
    2.4.5+0-0 500
    500 http://repo.z-hub.io/z-push:/final/Debian_9.0 Packages

    You need to remember this, which is in case of kopano updates most important.

    after running apt-get update and you ready to upgrade, follow these steps.

    apt-get update
    apt-get upgrade

    If you see the upgrade like this.

    The following packages will be upgraded:
      kopano-webapp kopano-webapp-plugin-quickitems kopano-webapp-plugin-titlecounter
    3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    

    Then its ok, and you can upgrade, but if a new package is added, then you get the message packages are kept back.

    Reading state information... Done
    Calculating upgrade... Done
    The following packages have been kept back:
      kopano-backup kopano-client kopano-common kopano-contacts kopano-dagent kopano-gateway kopano-ical kopano-monitor kopano-search kopano-server kopano-server-packages kopano-spooler kopano-utils
      libkcserver0 libkcsoap0 libkcutil0 php7-mapi python-kopano python-mapi
    The following packages will be upgraded:
      curl kopano-lang kopano-webapp kopano-webapp-plugin-quickitems libcurl3 libcurl3-gnutls libgd3 libkcarchiver0 libkcarchivercore0 libkcfreebusy0 libkcicalmapi0 libkcinetmapi0 libkcrosie0 libmapi1
      openssh-client openssh-server openssh-sftp-server php-pear
    18 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
    Need to get 6988 kB/8019 kB of archives.
    After this operation, 159 kB of additional disk space will be used.
    Do you want to continue? [Y/n]
    

    This is what cause you problem, Hit yes at this point and 1/2 kopano is upgraded, and fixing that with dpkg -i is not fun in general and for that, you can use dist-upgrade, as in :
    apt-get update
    apt-get dist-upgrade

    for the z-push packages install, asumming you run a apache weberser:
    apt-get install z-push-kopano z-push-config-apache

    Good luck.



  • Hi it looks like a bug in the webapp.

    https://framapic.org/cNpjUWra0crx/LQ7XNawUPPcZ.jpg
    https://framapic.org/fA7LAYteeO1e/7C61htzKG7Em.jpg

    Here is also a bug I can’t upload any pictures to this forum ^^.


  • Kopano

    @hispeed said in Upgrade from 8.6 to .8.7 fails:

    Hi it looks like a bug in the webapp.

    https://framapic.org/cNpjUWra0crx/LQ7XNawUPPcZ.jpg
    https://framapic.org/fA7LAYteeO1e/7C61htzKG7Em.jpg

    Here is also a bug I can’t upload any pictures to this forum ^^.

    Maybe a bug in the MDM plugin…

    Execute this and you should get the same version as shown in your image:

    container.getSettingsModel().get(‘zarafa/v1/plugins/mdm/zpush-server-version’)

    We make a call here:
    https://stash.kopano.io/projects/KWA/repos/mobile-device-management/browse/php/class.pluginmdmmodule.php#43

    What version do you see when you go to: <server>/Microsoft-Server-ActiveSync



  • Hi @marty

    I recieve this when i go on to the active sync website:

    Z-Push - Open Source ActiveSync
    Version 2.4.5+0-0
    GET not supported
    This is the Z-Push location and can only be accessed by Microsoft ActiveSync-capable devices
    

    How can I execute this?:

    container.getSettingsModel().get(‘zarafa/v1/plugins/mdm/zpush-server-version’)
    

  • Kopano

    @hispeed said in Upgrade from 8.6 to .8.7 fails:

    How can I execute this?:

    In the console of your browser



  • Hi @marty

    I’m sorry I don’t understand that how this should work.

    I have tried it in Firefox and Chrome. This path: “zarafa/v1/plugins/mdm/zpush-server-version” doesn’t exist on my server. I have an ubuntu 18.04 and i never had zarafa installed (just Kopano 8.6), just to tell you it’s a fresh install from last year June.

    Why is it a bug in the MDM plugin I also don’t understand because it’s in the webapp wrong and for Z-Push, but you know that probably better than me.


  • Kopano

    @hispeed you can’t copy marty’s his command as the quotes are not correct

    container.getSettingsModel().get('zarafa/v1/plugins/mdm/zpush-server-version')
    
    

    93114348-d4cd-4568-b073-9a01cd05b7c9-image.png



  • Hi @robing

    This worked, unfortunately I recieve:

    container.getSettingsModel().get('zarafa/v1/plugins/mdm/zpush-server-version')
    "2.4.3+0-0"
    

    can I update without any other issues?



  • How buggy is that ^^… sorry I can’t write it in other words…

    @thctlo I tried your script on my production server. It doesn’t work. I recieve this error. I don’t know what to do.

    100 3936k  100 3936k    0     0  9791k      0 --:--:-- --:--:-- --:--:-- 9767k
    mv: './kopano-archiver_8.7.80.587.10057ac52-0+100.1_amd64.deb' and 'amd64/kopano-archiver_8.7.80.587.10057ac52-0+100.1_amd64.deb' are the same file
    Please wait, generating  amd64/Packages File
    Please wait, running apt-get update
    
    The installed Kopano CORE apt-list file: /etc/apt/sources.list.d/kopano-community.list
    
    Checking for Z_PUSH Repo on Ubuntu.
    The Kopano Z_PUSH repo was already setup.
    
    The z-push info : https://documentation.kopano.io/kopanocore_administrator_manual/configure_kc_components.html#configure-z-push-activesync-for-mobile-devices
    Before you configure/install also read : https://wiki.z-hub.io/display/ZP/Installation
    
    Sorry, Your os and/or version not supported in this script.
    Kopano core versions available on the repo now are :
    kopano-server-packages:
      Installiert:           8.6.80.1248-0+176.1
      Installationskandidat: 8.6.80.1248-0+176.1
      Versionstabelle:
     *** 8.6.80.1248-0+176.1 100
            100 /var/lib/dpkg/status